package com.zhongshu.card.server.core.dao.scene;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.scene.SceneComponent;

import java.util.List;

public interface SceneComponentDao extends MongoDao<SceneComponent> {

    SceneComponent findTopById(String id);

    List<SceneComponent> findBySceneInfoIdOrderBySortAsc(String sceneInfoId);

    long deleteByIdIn(List<String> ids);

}
